View Issue Details

IDProjectCategoryView StatusLast Update
0028841LazarusLazUtilspublic2016-09-22 15:48
ReporterBenito van der ZanderAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionProduct BuildLazarus 1.5 r48633M FPC 2.6.2 x8 
Target Version1.6Fixed in Version1.6 
Summary0028841: fileutil.CopyDirTree does not handle copy to contained directory
Descriptionfileutil.CopyDirTree does not handle the case when a directory is copied to a subdirectory contained in it and crashes.

E.g. CopyDirTree('/tmp/foo', '/tmp/foo/bar', [cffCreateDestDirectory, cffOverwriteFile]);

TagsNo tags attached.
Fixed in Revisionr51033, r51034, r51038, r51039
LazTarget1.6
Widgetset
Attached Files

Relationships

related to 0030628 closedBart Broersma CopyDirTree bug 

Activities

Bart Broersma

2015-12-25 17:14

developer   ~0088234

How shoud it behave?
Disallow it (like xcopy (on Windows) does)?
Build a list of all files/dirs in /tmp/foo and after that copy all on the list to /tmp/foo/bar ?

Juha Manninen

2015-12-25 19:41

developer   ~0088247

Prevented copying to a sub-dir. Please test. Remember to check the function's return value. It is False if nothing was copied.

Bart Broersma

2015-12-26 14:17

developer   ~0088268

Fixed in a different way, hopefully more reliable.
Now also takes care of situations when parameters are not fully qualified.

Issue History

Date Modified Username Field Change
2015-10-13 00:38 Benito van der Zander New Issue
2015-12-25 15:14 Juha Manninen Assigned To => Juha Manninen
2015-12-25 15:14 Juha Manninen Status new => assigned
2015-12-25 17:14 Bart Broersma Note Added: 0088234
2015-12-25 19:41 Juha Manninen Fixed in Revision => r51033
2015-12-25 19:41 Juha Manninen LazTarget => -
2015-12-25 19:41 Juha Manninen Note Added: 0088247
2015-12-25 19:41 Juha Manninen Status assigned => resolved
2015-12-25 19:41 Juha Manninen Resolution open => fixed
2015-12-25 20:14 Juha Manninen Fixed in Revision r51033 => r51033, r51034
2015-12-26 14:14 Bart Broersma Assigned To Juha Manninen => Bart Broersma
2015-12-26 14:14 Bart Broersma Status resolved => assigned
2015-12-26 14:14 Bart Broersma Resolution fixed => reopened
2015-12-26 14:17 Bart Broersma Fixed in Revision r51033, r51034 => r51033, r51034, r51038
2015-12-26 14:17 Bart Broersma Note Added: 0088268
2015-12-26 14:17 Bart Broersma Status assigned => resolved
2015-12-26 14:17 Bart Broersma Resolution reopened => fixed
2015-12-26 14:17 Bart Broersma LazTarget - => 1.6
2015-12-26 14:17 Bart Broersma Fixed in Version => 1.6
2015-12-26 14:17 Bart Broersma Target Version => 1.6
2015-12-26 14:50 Bart Broersma Status resolved => assigned
2015-12-26 14:50 Bart Broersma Resolution fixed => reopened
2015-12-26 14:50 Bart Broersma Fixed in Revision r51033, r51034, r51038 => r51033, r51034, r51038, r51039
2015-12-26 14:50 Bart Broersma Status assigned => resolved
2015-12-26 14:50 Bart Broersma Resolution reopened => fixed
2016-09-22 15:48 Juha Manninen Relationship added related to 0030628